<?php
/**
 * Dynamic css
 *
 * @since Shree 1.0.0
 *
 * @param null
 * @return null
 *
 */
if (!function_exists('shree_dynamic_css')) :
 function shree_dynamic_css()
    {
   global $shree_theme_options;
        $shree_font_family = esc_attr( $shree_theme_options['shree-font-family-name'] );

        $shree_font_size = absint( $shree_theme_options['shree-font-size'] );

        $h1_h6_font_family = esc_attr( $shree_theme_options['shree-heading-font-family-name'] );

        $shree_default_color = esc_attr( $shree_theme_options['shree-default-color'] );        
        $shree_title_color = esc_attr( $shree_theme_options['shree-title-tagline-color'] );
        $shree_tagline_color = esc_attr( $shree_theme_options['shree-tagline-color'] );

        $shree_menu_text_color = esc_attr( $shree_theme_options['shree-menu-text-color'] );
        $shree_menu_text_hover_color = esc_attr( $shree_theme_options['shree-menu-text-hover-color'] );
        $shree_read_more_color = esc_attr( $shree_theme_options['shree-menu-read-more-color'] );
        $shree_read_more_hover_color = esc_attr( $shree_theme_options['shree-menu-read-more-hover-color'] );
       
        $shree_footer_top_bg_color = esc_attr( $shree_theme_options['shree-footer-top-bg-color'] );
        
        $shree_footer_background_color = esc_attr( $shree_theme_options['shree-footer-bacckground-color'] );
        $shree_link_color = esc_attr( $shree_theme_options['shree-link-color'] );
        $shree_link_hover_color = esc_attr( $shree_theme_options['shree-link-hover-color'] );
        $shree_go_top_color = esc_attr( $shree_theme_options['shree-link-go-to-top-color'] );
       
        $custom_css = '';
        /* Typography Section */

        if (!empty($shree_font_family)) {
            
            $custom_css .= "body { font-family: {$shree_font_family}; }";
        }

        if (!empty($shree_font_size)) {
            
            $custom_css .= "body { font-size: {$shree_font_size}px; }";
        }

        if (!empty($h1_h6_font_family)) {
            
            $custom_css .= "h1,h1 a, h2, h2 a, h3, h3 a, h4, h4 a, h5, h5 a, h6, h6 a,#main-slider .feature-description figcaption h2, .promo-area a h4, .widget .widget-title, .entry-header h2.entry-title a, .site-title a { font-family: {$h1_h6_font_family}; }";
        }

        if(!empty($shree_default_color)){

            $custom_css .=".slider-two-btn a, .nav-links .nav-previous a, .nav-links .nav-next a, .pagination .page-numbers.current, .scrolltop, .btn-more, .widget_search form input[type='submit'], .comment-form #submit {background-color: $shree_default_color; }"; 

            $custom_css .=".main-menu .navigation > li:hover > a, .main-menu .navigation > li.current > a, .main-menu .navigation > li.current-menu-item > a, .widget .featured-post-content span i, .archive .archive-heading-wrapper i
            {color: $shree_default_color; }"; 
        }

        if(!empty($shree_title_color)){

            $custom_css .= ".site-title a {color: $shree_title_color;}"; 
        }

        if(!empty($shree_tagline_color)){

            $custom_css .= ".site-description {color: $shree_tagline_color; }"; 
        }

        if(!empty($shree_menu_text_color)){

            $custom_css .= ".main-menu .navigation > li > a {color: $shree_menu_text_color; }"; 
        }

        if(!empty($shree_menu_text_hover_color)){

            $custom_css .= ".main-menu .navigation > li > a:hover {color: $shree_menu_text_hover_color; }"; 
        }

        if(!empty($shree_read_more_color)){

            $custom_css .= ".btn-more {background-color: $shree_read_more_color; }"; 
        }

        if(!empty($shree_read_more_hover_color)){

            $custom_css .= ".btn-more:hover {background-color: $shree_read_more_hover_color; }"; 
        }

        if(!empty($shree_footer_top_bg_color)){

            $custom_css .= ".top-footer-widget {background-color: $shree_footer_top_bg_color; }"; 
        }

        if(!empty($shree_footer_background_color)){

            $custom_css .= ".site-info {background-color: $shree_footer_background_color; }"; 
        }

        if(!empty($shree_link_color)){

            $custom_css .= ".post-content p a {color: $shree_link_color; }"; 
        }

        if(!empty($shree_link_hover_color)){

            $custom_css .= ".post-content p a:hover {color: $shree_link_hover_color; }"; 
        }

        if(!empty($shree_go_top_color)){

            $custom_css .= ".scrolltop {background-color: $shree_go_top_color; }"; 
        }

        wp_add_inline_style('shree-style', $custom_css);
    }
endif;
add_action('wp_enqueue_scripts', 'shree_dynamic_css', 99);