<?php 
/**
 * Shree Header Types
 * @since Shree 1.0.0
 *
 * @param null
 * @return void
 *
 */
if ( !function_exists('shree_header_types_hooks') ) :
	function shree_header_types_hooks() {
		global $shree_theme_options;
		$shree_theme_options = shree_get_theme_options();
		$shree_header_types = $shree_theme_options['shree-header-types']; 
		if($shree_header_types == 'default-header'){
			get_template_part( 'template-parts/header/default', 'header' );
		}elseif($shree_header_types == 'header-one'){
			get_template_part( 'template-parts/header/header', 'one' );
		}else{
			get_template_part( 'template-parts/header/header', 'two' );
		}
	} 
endif;
add_action( 'shree_header_types_home', 'shree_header_types_hooks', 10 );


/**
 * Shree Footer Types
 * @since Shree 1.0.0
 *
 * @param null
 * @return void
 *
 */
if ( !function_exists('shree_footer_types_hooks') ) :
	function shree_footer_types_hooks() {
		global $shree_theme_options;
		$shree_theme_options = shree_get_theme_options();
		$shree_footer_types = $shree_theme_options['shree-footer-types']; 
		if($shree_footer_types == 'default-footer'){
			get_template_part( 'template-parts/footer/default', 'footer' );
		}elseif($shree_footer_types == 'footer-one'){
			get_template_part( 'template-parts/footer/footer', 'one' );
		}else{
			get_template_part( 'template-parts/footer/footer', 'two' );
		}
	} 
endif;
add_action( 'shree_footer_types_home', 'shree_footer_types_hooks', 10 );

/**
 * Shree Off Canvas Sidebar Option
 * @since Shree 1.0.0
 *
 * @param null
 * @return void
 *
 */
if ( !function_exists('shree_header_off_canvas') ) :
	function shree_header_off_canvas() { 
		global $shree_theme_options;
		$shree_theme_options = shree_get_theme_options();
		$shree_offcanvas_disable = $shree_theme_options['shree-offcanvas-disable'];
		if($shree_offcanvas_disable == 1){
			?>
			<div class="menu-icon offcanvas-menu-icon">
				<a href="#" class="menu-tigger"><i class="fa fa-bars" aria-hidden="true"></i></a>
			</div>

			<div class="offcanvas-menu">
				<span class="menu-close">
					<i class="fa fa-times"></i>
				</span>
				<?php 
				if( is_active_sidebar( 'off-canvas' ) ){
					dynamic_sidebar( 'off-canvas' ); 
				}
				?>
			</div>
			<div class="offcanvas-overly"></div>
			<?php 
		} 
	}
endif;
add_action( 'shree_header_off_canvas_action', 'shree_header_off_canvas', 10 );


/**
 * Shree Search Option
 * @since Shree 1.0.0
 *
 * @param null
 * @return void
 *
 */
if ( !function_exists('shree_header_search') ) :
	function shree_header_search() { 
		global $shree_theme_options;
		$shree_theme_options = shree_get_theme_options();
		$shree_offcanvas_disable = $shree_theme_options['shree-search-disable'];
		if($shree_offcanvas_disable == 1){
			?>
			<div class="col-xl-2 col-lg-2 text-right">
				<div class="menu-icon">
					<a href="#" class="sm-margin" data-toggle="modal" data-target="#search-modal"><i class="fa fa-search" aria-hidden="true"></i></a>
				</div>
				<!-- Modal Search -->
				<div class="modal fade" id="search-modal" tabindex="-1" role="dialog" aria-hidden="true">
					<div class="modal-dialog" role="document">
						<div class="modal-content">
							<div id="search-form">
								<div class="top-search-wrapper">
									<?php 
									get_search_form();
									?>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
			<?php 
		} 
	}
endif;
add_action( 'shree_header_search_action', 'shree_header_search', 10 );